<?php
/**
 * rec.reviews
 *
 * @author    Presta-Module.com <support@presta-module.com> - https://www.presta-module.com
 * @copyright Presta-Module - https://www.presta-module.com
 * @license   see file: LICENSE.txt
 *
 *           ____     __  __
 *          |  _ \   |  \/  |
 *          | |_) |  | |\/| |
 *          |  __/   | |  | |
 *          |_|      |_|  |_|
 */

namespace PrestaModule\ProductVideoReviews;
if (!defined('_PS_VERSION_')) {
    exit;
}
use ObjectModel;
class VoucherAssoc extends ObjectModel
{
    public $id;
    public $id_voucher;
    public $id_customer;
    public $id_order;
    public $id_product;
    public $id_rating;
    public $id_shop;
    public $date_add;
    public $date_upd;
    public static $definition = [
        'table' => 'pvr_voucher_assoc',
        'primary' => 'id_assoc',
        'fields' => [
            'id_voucher' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
            'id_customer' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
            'id_order' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
            'id_product' => ['type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true],
            'id_rating' => ['type' => self::TYPE_STRING, 'validate' => 'isInt', 'required' => true],
            'id_shop' => ['type' => self::TYPE_BOOL, 'validate' => 'isInt', 'required' => true],
            'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDateFormat'],
            'date_upd' => ['type' => self::TYPE_DATE, 'validate' => 'isDateFormat'],
        ],
    ];
}
