<?php
namespace Http\Promise;
/**
 * Promise represents a value that may not be available yet, but will be resolved at some point in future.
 * It acts like a proxy to the actual value.
 *
 * This interface is an extension of the promises/a+ specification.
 *
 * @see https://promisesaplus.com/
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */

interface Promise
{
    /**
     * Promise has not been fulfilled or rejected.
     */
    const PENDING = 'pending';
    /**
     * Promise has been fulfilled.
     */
    const FULFILLED = 'fulfilled';
    const REJECTED = 'rejected';
    public function then(callable $onFulfilled = null, callable $onRejected = null);
    public function getState();
    public function wait($unwrap = true);
}
