{**
 * rec.reviews
 *
 * @author    Presta-Module.com <support@presta-module.com> - https://www.presta-module.com
 * @copyright Presta-Module - https://www.presta-module.com
 * @license   see file: LICENSE.txt
 *
 *           ____     __  __
 *          |  _ \   |  \/  |
 *          | |_) |  | |\/| |
 *          |  __/   | |  | |
 *          |_|      |_|  |_|
 *
 *}
{extends file="helpers/form/form.tpl"}

{block name="input"}
    {if $input.type == 'rmb_sub'}
        <div>
            {* PS components *}
            <div id="ps-billing"></div>
            <div id="ps-modal"></div>

            <div class="rbmDisconnectContainer">
                <button class="btn btn-danger" type="submit" id="submitRbmDisconnect" name="submitRbmDisconnect" value="1">{l s='Disconnect' mod='pmproductvideoreviews'}</button>
            </div>
        </div>
    {elseif $input.type == 'subtitle'}
        <h2 class="subtitle">{$input.content|escape:'htmlall':'UTF-8'}</h2>

    {elseif $input.type == 'alertInfo'}
        <div class="alert alert-info">
            <p>{$input.content|escape:'htmlall':'UTF-8'}</p>
        </div>

    {elseif $input.type == 'voucherOptions'}
        <div class="alert alert-info">
            <p>{$input.content|escape:'htmlall':'UTF-8'}</p>
            <ul>
                {foreach from=$input.options item=option}
                    <li>{$option|escape:'htmlall':'UTF-8'}</li>
                {/foreach}
            </ul>
        </div>

    {elseif $input.type == 'disconnect'}
        <div class="alert alert-warning col-xs-12">
            {l s='Warning : Please note that unsubscribing will remove the link between your store and our services. All the reviews previously collected will be definitively lost.' mod='pmproductvideoreviews'}
        </div>

        <div class="row">
            <div class="col-xs-6 text-center">
                <a class="btn btn-info" href="{$dashboard|escape:'htmlall':'UTF-8'}" target="blank"><i class="icon-link"></i>&nbsp;{l s='See my subscription' mod='pmproductvideoreviews'}</a>
            </div>
            <div class="col-xs-6 text-center">
                <button type="submit" class="btn btn-danger" name="submitDisconnect" id="submitDisconnect"> <i class="icon-unlink"></i>&nbsp;{l s='Disconnect' mod='pmproductvideoreviews'}</button>
            </div>
        </div>

    {else}
        {$smarty.block.parent}
    {/if}
{/block}

{block name="script"}
    $(document).ready(function () {
        if ($('input[name=selected_tab]').length) {
            // Active tab on which we was before the submit
            $('#module_form a[href="#' + $('input[name=selected_tab]').val() + '"]').tab('show');

            $('#module_form a[data-toggle="tab"]').on('shown.bs.tab', function (event) {
                $('input[name=selected_tab]').val(event.target.getAttribute('href').replace('#',''));
            });
        }
    });
{/block}
